%global commit 0e32b92dde4197f2b0503fd2c7197f4230836793
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20201202

Name:           obs-webkitgtk
Version:        0~git%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        OBS Browser source plugin based on WebKitGTK

License:        GPL-2.0-or-later
URL:            https://github.com/fzwoch/obs-webkitgtk
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc

BuildRequires:  pkgconfig(libobs)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

Supplements:    obs-studio

%description
%{name}.

%prep
%autosetup -n %{name}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE
%{_libdir}/obs-plugins/%{name}*


%changelog
* Wed Dec 28 2022 Neal Gompa <ngompa@fedoraproject.org> - 0~git20201202.0e32b92-1
- Initial packaging
